Attribute VB_Name = "modLibrary"
Option Explicit

 Declare Function CallNextHookEx Lib "user32" (ByVal hHook As Long, ByVal nCode As Long, ByVal wParam As Long, lParam As Any) As Long
 Declare Function MessageBeep Lib "user32" (ByVal wType As Long) As Long
 Declare Function SetWindowsHookEx Lib "user32" Alias "SetWindowsHookExA" (ByVal idHook As Long, ByVal lpfn As Long, ByVal hmod As Long, ByVal dwThreadId As Long) As Long
 Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
 Declare Function GetWindowThreadProcessId Lib "user32" (ByVal hWnd As Long, lpdwProcessId As Long) As Long
 Declare Function UnhookWindowsHookEx Lib "user32" (ByVal hHook As Long) As Long

 Const DLL_PROCESS_ATTACH As Long = 1
 Const DLL_PROCESS_DETACH As Long = 0
 Const DLL_THREAD_ATTACH As Long = 2
 Const DLL_THREAD_DETACH As Long = 3

 Const WM_CLOSE = &H10
 Const WM_PAINT = &HF

Private Const WH_CALLWNDPROC = 4
Private Const WH_KEYBOARD = 2

Dim msg As Long
Dim hHook As Long
Dim Th As Long
Dim TBHWND As Long

Public Function DllEntryPoint(ByVal hInstance As Long, ByVal lReason As Long, ByVal lReserved As Long) As Long
      
    Select Case lReason
        Case DLL_PROCESS_ATTACH

            DllEntryPoint = 1
            TBHWND = FindWindow("SciCalc", "")
            If TBHWND <> 0 Then
            Th = GetWindowThreadProcessId(TBHWND, 0&)
            hHook = SetWindowsHookEx(WH_CALLWNDPROC, AddressOf HookProcName, App.hInstance, Th)
            Else
            MsgBox "Window No Find"
            End If
            
        Case DLL_PROCESS_DETACH
             UnhookWindowsHookEx hHook
             
        Case DLL_THREAD_ATTACH

        Case DLL_THREAD_DETACH

    End Select
End Function

Public Function HookProcName(ByVal nCode As Integer, ByVal wParam As Long, ByVal lParam As Long) As Long
If lParam = WM_CLOSE Then
  MsgBox lParam
End If
   HookProcName = CallNextHookEx(hHook, nCode, wParam, ByVal lParam)
End Function

